Loading...
Searching...
No Matches
hoel-pgsql.c File Reference
`#include "hoel.h"`
`#include "h-private.h"`

## Functions

struct _h_connection * | h_connect_pgsql (const char *conninfo)
void | h_close_pgsql (struct _h_connection *conn)
char * | h_escape_string_pgsql (const struct _h_connection *conn, const char *unsafe)
char * | h_escape_string_with_quotes_pgsql (const struct _h_connection *conn, const char *unsafe)
long long int | h_last_insert_id_pgsql (const struct _h_connection *conn)
int | h_execute_query_pgsql (const struct _h_connection *conn, const char *query, struct _h_result *h_result)
int | h_execute_query_json_pgsql (const struct _h_connection *conn, const char *query, json_t **j_result)